<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-339"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FTabbar%2FXHXTabItem.m%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Tabbar/XHXTabItem.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_5a6fa6b06eb7a9bfa4829bcd355383de.html">Tabbar</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XHXTabItem.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_tab_item_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXTabItem.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  AAA</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Topredator on 2018/7/9.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_x_h_x_tab_item_8h.html">XHXTabItem.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp; </div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html">   11</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a>()</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#aa3307a558eca5631175ec7c8d7d30279">   12</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UILabel *badgeLabel;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#aa52674ec3dbbd9e0c8be2c30b03c536f">   15</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat verticalOffset;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#ad54412001a063c7bd9561fd678e51117">   17</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat spacing;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#a674381d009e72e33b4e977560a6e7081">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat numberBadgeMarginTop;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#a5298d3ac944129cf4fe2aac33cd062b5">   20</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat numberBadgeCenterMarginRight;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#ae722e84c4f25e72b330cfc865a5f5c5d">   21</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat numberBadgeTitleHorizonalSpace;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#a706d8e2499d3db442eb6895f2bba2fe0">   22</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat numberBadgeTitleVerticalSpace;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#ab15abd16c3f1e7359447cf31c8dcbd75">   24</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat dotBadgeMarginTop;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#a24890c854841b0d0d4abe3501f1e8c72">   25</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat dotBadgeCenterMarginRight;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="category_x_h_x_tab_item_07_08.html#ae669e0ff63a791ca577c8011bf5a8a56">   26</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) CGFloat dotBadgeSideLength;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&nbsp; </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="interface_x_h_x_tab_item.html#a762d7260bc1070fad3031967aa8b6b90">   28</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) UIView *redDotView;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&nbsp; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;<span class="keyword">@end</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;<span class="keyword">@implementation </span><a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&nbsp;<span class="preprocessor">#pragma mark ==================  init method  ==================</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&nbsp;- (instancetype)init {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&nbsp;    <span class="keyword">self</span> = [<span class="keyword">super</span> init];</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;        [<span class="keyword">self</span> setup];</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;    }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&nbsp;}</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&nbsp;- (void)awakeFromNib {</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&nbsp;    [<span class="keyword">super</span> awakeFromNib];</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;    [<span class="keyword">self</span> setup];</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp;}</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&nbsp;+ (instancetype)buttonWithType:(UIButtonType)buttonType {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;    <a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *tabItem = [<span class="keyword">super</span> buttonWithType:buttonType];</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;    [tabItem setup];</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp;    <span class="keywordflow">return</span> tabItem;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&nbsp;}</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;- (void)setup {</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp;    [<span class="keyword">self</span> addSubview:self.badgeLabel];</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&nbsp;    <span class="keyword">self</span>.adjustsImageWhenHighlighted = NO;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;    _badgeStyle = XHXTabItemBadgeStyleNumber;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp;    _badge = 0;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;    _titleFont = [UIFont systemFontOfSize:18];</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp;    _indicatorInsets = UIEdgeInsetsZero;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&nbsp;}</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&nbsp;<span class="preprocessor">#pragma mark ==================  Public methods  ==================</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&nbsp;- (void)setNumberBadgeMarginTop:(CGFloat)marginTop centerMarginRight:(CGFloat)centerMarginRight titleHorizonalSpace:(CGFloat)titleHorizonalSpace titleVerticalSpace:(CGFloat)titleVerticalSpace {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&nbsp;    <span class="keyword">self</span>.numberBadgeMarginTop = marginTop;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&nbsp;    <span class="keyword">self</span>.numberBadgeCenterMarginRight = centerMarginRight;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;    <span class="keyword">self</span>.numberBadgeTitleHorizonalSpace = titleHorizonalSpace;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;    <span class="keyword">self</span>.numberBadgeTitleVerticalSpace = titleVerticalSpace;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;    [<span class="keyword">self</span> updateBadge];</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp;}</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&nbsp;- (void)setDotBadgeMarginTop:(CGFloat)marginTop centerMarginRight:(CGFloat)centerMarginRight sideLength:(CGFloat)sideLength {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&nbsp;    <span class="keyword">self</span>.dotBadgeMarginTop = marginTop;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&nbsp;    <span class="keyword">self</span>.dotBadgeCenterMarginRight = centerMarginRight;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&nbsp;    <span class="keyword">self</span>.dotBadgeSideLength = sideLength;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&nbsp;    [<span class="keyword">self</span> updateBadge];</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&nbsp; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;}</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp;<span class="preprocessor">#pragma mark ==================  Private methods  ==================</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&nbsp; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&nbsp;- (void)setHighlighted:(BOOL)highlighted {</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.adjustsImageWhenHighlighted) {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;        [<span class="keyword">super</span> setHighlighted:highlighted];</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;    }</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp;}</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&nbsp;- (void)setContentHorizontalCenter:(BOOL)contentHorizontalCenter {</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&nbsp;    _contentHorizontalCenter = <a class="code" href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">contentHorizontalCenter</a>;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&nbsp;    <span class="keywordflow">if</span> (!_contentHorizontalCenter) {</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&nbsp;        <span class="keyword">self</span>.verticalOffset = 0;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&nbsp;        <span class="keyword">self</span>.spacing = 0;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&nbsp;    }</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.superview) {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;        [<span class="keyword">self</span> layoutSubviews];</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp;    }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&nbsp;}</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&nbsp;- (void)setContentHorizontalCenterWithVerticalOffset:(CGFloat)verticalOffset</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&nbsp;                                             spacing:(CGFloat)spacing {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&nbsp;    <span class="keyword">self</span>.verticalOffset = verticalOffset;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&nbsp;    <span class="keyword">self</span>.spacing = spacing;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&nbsp;    <span class="keyword">self</span>.contentHorizontalCenter = YES;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;}</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp;- (void)layoutSubviews {</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;    [<span class="keyword">super</span> layoutSubviews];</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&nbsp;    <span class="keywordflow">if</span> ([<span class="keyword">self</span> imageForState:UIControlStateNormal] &amp;&amp; <span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">contentHorizontalCenter</a>) {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&nbsp;        CGSize titleSize = <span class="keyword">self</span>.titleLabel.frame.size;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&nbsp;        CGSize imageSize = <span class="keyword">self</span>.imageView.frame.size;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&nbsp;        titleSize = CGSizeMake(ceilf(titleSize.width), ceilf(titleSize.height));</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&nbsp;        CGFloat totalHeight = (imageSize.height + titleSize.height + self.spacing);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&nbsp;        <span class="keyword">self</span>.imageEdgeInsets = UIEdgeInsetsMake(- (totalHeight - imageSize.height - <span class="keyword">self</span>.verticalOffset), 0, 0, - titleSize.width);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&nbsp;        <span class="keyword">self</span>.titleEdgeInsets = UIEdgeInsetsMake(<span class="keyword">self</span>.verticalOffset, - imageSize.width, - (totalHeight - titleSize.height), 0);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&nbsp;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&nbsp;        <span class="keyword">self</span>.imageEdgeInsets = UIEdgeInsetsZero;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&nbsp;        <span class="keyword">self</span>.titleEdgeInsets = UIEdgeInsetsZero;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&nbsp;    }</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&nbsp;    [<span class="keyword">self</span> setShowRedDotView:self.showRedDotView];</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&nbsp;}</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&nbsp;- (void)setTitle:(NSString *)title {</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&nbsp;    _title = <a class="code" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&nbsp;    [<span class="keyword">self</span> setTitle:title forState:UIControlStateNormal];</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&nbsp;    [<span class="keyword">self</span> calculateTitleWidth];</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&nbsp;}</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&nbsp;- (void)setTitleColor:(UIColor *)titleColor {</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&nbsp;    _titleColor = <a class="code" href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">titleColor</a>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&nbsp;    [<span class="keyword">self</span> setTitleColor:titleColor forState:UIControlStateNormal];</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&nbsp;}</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&nbsp;- (void)setTitleSelectedColor:(UIColor *)titleSelectedColor {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&nbsp;    _titleSelectedColor = <a class="code" href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">titleSelectedColor</a>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&nbsp;    [<span class="keyword">self</span> setTitleColor:titleSelectedColor forState:UIControlStateSelected];</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&nbsp;}</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&nbsp;- (void)setTitleFont:(UIFont *)titleFont {</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&nbsp;    _titleFont = <a class="code" href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">titleFont</a>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&nbsp;    <span class="keywordflow">if</span> ([UIDevice currentDevice].systemVersion.integerValue &gt;= 8) {</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&nbsp;        <span class="keyword">self</span>.titleLabel.font = <a class="code" href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">titleFont</a>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&nbsp;    }</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&nbsp;    [<span class="keyword">self</span> calculateTitleWidth];</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&nbsp;}</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&nbsp;- (void)calculateTitleWidth {</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">title</a>.length == 0) {</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&nbsp;        _titleWidth = 0;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&nbsp;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&nbsp;    }</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&nbsp;    CGSize <a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a> = [<span class="keyword">self</span>.title boundingRectWithSize:CGSizeMake(CGFLOAT_MAX, CGFLOAT_MAX)</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&nbsp;                                           options:NSStringDrawingUsesLineFragmentOrigin | NSStringDrawingUsesFontLeading</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&nbsp;                                        attributes:@{NSFontAttributeName : self.titleFont}</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&nbsp;                                           context:nil].size;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&nbsp;    _titleWidth = ceilf(<a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a>.width);</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&nbsp;}</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&nbsp;- (void)setImage:(UIImage *)image {</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&nbsp;    _image = <a class="code" href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">image</a>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&nbsp;    [<span class="keyword">self</span> setImage:image forState:UIControlStateNormal];</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&nbsp;}</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&nbsp;- (void)setSelectedImage:(UIImage *)selectedImage {</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&nbsp;    _selectedImage = <a class="code" href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">selectedImage</a>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&nbsp;    [<span class="keyword">self</span> setImage:selectedImage forState:UIControlStateSelected];</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&nbsp;}</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&nbsp;<span class="preprocessor">#pragma mark ==================  badge methods  ==================</span></div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&nbsp;- (void)setBadge:(NSInteger)badge {</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&nbsp;    _badge = <a class="code" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">badge</a>;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&nbsp;    [<span class="keyword">self</span> updateBadge];</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&nbsp;}</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&nbsp;- (void)setBadgeStyle:(XHXTabItemBadgeStyle)badgeStyle {</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&nbsp;    _badgeStyle = <a class="code" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">badgeStyle</a>;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&nbsp;    [<span class="keyword">self</span> updateBadge];</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&nbsp;}</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&nbsp;- (void)updateBadge {</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&nbsp;    <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">badgeStyle</a> == XHXTabItemBadgeStyleNumber) {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&nbsp;        <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">badge</a> &lt;= 0) {</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&nbsp;            <span class="keyword">self</span>.badgeLabel.hidden = YES;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&nbsp;        } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&nbsp;            NSString *badgeStr = @(<span class="keyword">self</span>.badge).stringValue;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&nbsp;            <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">badge</a> &gt; 99) {</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&nbsp;                badgeStr = <span class="stringliteral">@&#34;99+&#34;</span>;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&nbsp;            }</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&nbsp;            </div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&nbsp;            <span class="comment">// 计算badgeStr的size</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&nbsp;            CGSize <a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a> = [badgeStr boundingRectWithSize:CGSizeMake(CGFLOAT_MAX, CGFLOAT_MAX)</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&nbsp;                                                 options:NSStringDrawingUsesLineFragmentOrigin | NSStringDrawingUsesFontLeading</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&nbsp;                                              attributes:@{NSFontAttributeName : self.badgeLabel.font}</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&nbsp;                                                 context:nil].size;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&nbsp;            <span class="comment">// 计算badgeButton的宽度和高度</span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&nbsp;            CGFloat width = ceilf(<a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a>.width) + self.numberBadgeTitleHorizonalSpace;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&nbsp;            CGFloat height = ceilf(<a class="code" href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">size</a>.height) + self.numberBadgeTitleVerticalSpace;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&nbsp;            <span class="comment">// 宽度取width和height的较大值，使badge为个位数时，badgeButton为圆形</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&nbsp;            width = MAX(width, height);</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&nbsp;            </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&nbsp;            <span class="comment">// 设置badgeButton的frame</span></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&nbsp;            <span class="keyword">self</span>.badgeLabel.frame = CGRectMake(<span class="keyword">self</span>.bounds.size.width - width / 2 - <span class="keyword">self</span>.numberBadgeCenterMarginRight,</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&nbsp;                                                <span class="keyword">self</span>.numberBadgeMarginTop,</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&nbsp;                                                width,</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&nbsp;                                                height);</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&nbsp;            <span class="keyword">self</span>.badgeLabel.layer.cornerRadius = <span class="keyword">self</span>.badgeLabel.bounds.size.height / 2;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&nbsp;            <span class="keyword">self</span>.badgeLabel.text = badgeStr;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&nbsp;            <span class="keyword">self</span>.badgeLabel.hidden = NO;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&nbsp;        }</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&nbsp;    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<span class="keyword">self</span>.<a class="code" href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">badgeStyle</a> == XHXTabItemBadgeStyleDot) {</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&nbsp;        <span class="keyword">self</span>.badgeLabel.text = <span class="stringliteral">@&#34;&#34;</span>;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&nbsp;        <span class="keyword">self</span>.badgeLabel.frame = CGRectMake(<span class="keyword">self</span>.bounds.size.width - <span class="keyword">self</span>.dotBadgeCenterMarginRight - <span class="keyword">self</span>.dotBadgeSideLength,</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&nbsp;                                            <span class="keyword">self</span>.dotBadgeMarginTop,</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&nbsp;                                            <span class="keyword">self</span>.dotBadgeSideLength,</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&nbsp;                                            <span class="keyword">self</span>.dotBadgeSideLength);</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&nbsp;        <span class="keyword">self</span>.badgeLabel.layer.cornerRadius = <span class="keyword">self</span>.badgeLabel.bounds.size.height / 2;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&nbsp;        <span class="keyword">self</span>.badgeLabel.hidden = NO;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&nbsp;    }</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&nbsp;}</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&nbsp;- (void)setBadgeBackgroundColor:(UIColor *)badgeBackgroundColor {</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&nbsp;    _badgeBackgroundColor = <a class="code" href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">badgeBackgroundColor</a>;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&nbsp;    <span class="keyword">self</span>.badgeLabel.backgroundColor = <a class="code" href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">badgeBackgroundColor</a>;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&nbsp;}</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&nbsp;- (void)setBadgeTitleColor:(UIColor *)badgeTitleColor {</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&nbsp;    _badgeTitleColor = <a class="code" href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">badgeTitleColor</a>;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&nbsp;    <span class="keyword">self</span>.badgeLabel.textColor = <a class="code" href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">badgeTitleColor</a>;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&nbsp;}</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&nbsp;- (void)setBadgeTitleFont:(UIFont *)badgeTitleFont {</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&nbsp;    _badgeTitleFont = <a class="code" href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">badgeTitleFont</a>;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&nbsp;    <span class="keyword">self</span>.badgeLabel.font = <a class="code" href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">badgeTitleFont</a>;</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&nbsp;}</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&nbsp;- (void)setIndicatorInsets:(UIEdgeInsets)indicatorInsets {</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&nbsp;    _indicatorInsets = <a class="code" href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">indicatorInsets</a>;</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&nbsp;    [<span class="keyword">self</span> calculateIndicatorFrame];</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&nbsp;}</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&nbsp;- (void)calculateIndicatorFrame {</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&nbsp;    CGRect frame = <span class="keyword">self</span>.frameWithOutTransform;</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&nbsp;    UIEdgeInsets insets = <span class="keyword">self</span>.indicatorInsets;</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&nbsp;    _indicatorFrame = CGRectMake(frame.origin.x + insets.left,</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&nbsp;                                                frame.origin.y + insets.top,</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&nbsp;                                                frame.size.width - insets.left - insets.right,</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&nbsp;                                                frame.size.height - insets.top - insets.bottom);</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&nbsp;}</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&nbsp; </div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&nbsp;- (void)setShowRedDotView:(BOOL)showRedDotView {</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&nbsp;    _showRedDotView = <a class="code" href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">showRedDotView</a>;</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&nbsp;    <span class="keyword">self</span>.redDotView.hidden = !<a class="code" href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">showRedDotView</a>;</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&nbsp;    Class <span class="keyword">class </span>= NSClassFromString(<span class="stringliteral">@&#34;UIButtonLabel&#34;</span>);</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&nbsp;    <span class="keywordflow">if</span> (!<span class="keyword">self</span>.redDotView.superview) {</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&nbsp;        [<span class="keyword">self</span> addSubview:self.redDotView];</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&nbsp;    }</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&nbsp;    UIView *titleLabel = nil;</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&nbsp;    <span class="keywordflow">for</span> (UIView *subView in <span class="keyword">self</span>.subviews) {</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&nbsp;        <span class="keywordflow">if</span> ([subView isKindOfClass:<span class="keyword">class</span>]) {</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&nbsp;            titleLabel = subView;</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&nbsp;            <span class="keywordflow">break</span>;</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&nbsp;        }</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&nbsp;    }</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&nbsp;    CGPoint center = <span class="keyword">self</span>.redDotView.center;</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&nbsp;    center.x = CGRectGetMaxX(titleLabel.frame) + 8;</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&nbsp;    center.y = titleLabel.frame.origin.y;</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&nbsp;    <span class="keyword">self</span>.redDotView.center = center;</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&nbsp;}</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&nbsp; </div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&nbsp;<span class="preprocessor">#pragma mark ==================  lazy methods  ==================</span></div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&nbsp;- (UILabel *)badgeLabel {</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&nbsp;    <span class="keywordflow">if</span> (!_badgeLabel) {</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&nbsp;        _badgeLabel = [UILabel new];</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&nbsp;        _badgeLabel.clipsToBounds = YES;</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&nbsp;        _badgeLabel.font = [UIFont systemFontOfSize:13];</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&nbsp;        _badgeTitleFont = [UIFont systemFontOfSize:13];</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&nbsp;    }</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&nbsp;    <span class="keywordflow">return</span> _badgeLabel;</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&nbsp;}</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&nbsp;- (void)setSize:(CGSize)size {</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&nbsp;    CGRect rect = <span class="keyword">self</span>.frame;</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&nbsp;    rect.size = size;</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&nbsp;    <span class="keyword">self</span>.frame = rect;</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&nbsp;}</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&nbsp;- (CGSize)size {</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&nbsp;    <span class="keywordflow">return</span> <span class="keyword">self</span>.frame.size;</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&nbsp;}</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&nbsp;- (void)setFrame:(CGRect)frame {</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&nbsp;    [<span class="keyword">super</span> setFrame:frame];</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&nbsp;    _frameWithOutTransform = frame;</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&nbsp;    [<span class="keyword">self</span> updateBadge];</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&nbsp;    [<span class="keyword">self</span> calculateIndicatorFrame];</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&nbsp;}</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&nbsp; </div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&nbsp;- (UIView *)redDotView {</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&nbsp;    <span class="keywordflow">if</span> (!_redDotView) {</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&nbsp;        _redDotView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 8, 8)];</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&nbsp;        _redDotView.layer.masksToBounds = YES;</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&nbsp;        _redDotView.layer.cornerRadius = 4;</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&nbsp;        _redDotView.backgroundColor = [UIColor colorWithRed:250/255.0 green:74/255.0 blue:35/255.0 alpha:1.0];</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&nbsp;    }</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&nbsp;    <span class="keywordflow">return</span> _redDotView;</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&nbsp;}</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&nbsp; </div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_x_h_x_tab_item_8h_html"><div class="ttname"><a href="_x_h_x_tab_item_8h.html">XHXTabItem.h</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a7972d2819df985331c1a8277164453aa"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a7972d2819df985331c1a8277164453aa">XHXTabItem::selectedImage</a></div><div class="ttdeci">UIImage * selectedImage</div><div class="ttdoc">选中时的图片</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00040">XHXTabItem.h:40</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a2d7c12dc00137ed497d011bbb7e47d42"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a2d7c12dc00137ed497d011bbb7e47d42">XHXTabItem::titleFont</a></div><div class="ttdeci">UIFont * titleFont</div><div class="ttdoc">文字font</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00032">XHXTabItem.h:32</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ae58d9371b2ed6106157e8c003fc81575"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ae58d9371b2ed6106157e8c003fc81575">XHXTabItem::titleColor</a></div><div class="ttdeci">UIColor * titleColor</div><div class="ttdoc">文字颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00028">XHXTabItem.h:28</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a522f703cb76fe2c1f03eaaf6fd4bec8f"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a522f703cb76fe2c1f03eaaf6fd4bec8f">XHXTabItem::badge</a></div><div class="ttdeci">NSInteger badge</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00050">XHXTabItem.h:50</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a75fb03365b5bc1137c35d2998d633a4c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a75fb03365b5bc1137c35d2998d633a4c">XHXTabItem::badgeStyle</a></div><div class="ttdeci">XHXTabItemBadgeStyle badgeStyle</div><div class="ttdoc">badge类型 2种：数字，小圆点</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00042">XHXTabItem.h:42</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab57c48fe8ad0136bc61f413ba2e3a8d4"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab57c48fe8ad0136bc61f413ba2e3a8d4">XHXTabItem::badgeTitleFont</a></div><div class="ttdeci">UIFont * badgeTitleFont</div><div class="ttdoc">badge文字font</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00056">XHXTabItem.h:56</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a44eda8f507be4542e0c88f2d1922aa53"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a44eda8f507be4542e0c88f2d1922aa53">XHXTabItem::titleSelectedColor</a></div><div class="ttdeci">UIColor * titleSelectedColor</div><div class="ttdoc">选中的文字颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00030">XHXTabItem.h:30</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a376939eb36f04aba04eae9a1657f990c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a376939eb36f04aba04eae9a1657f990c">XHXTabItem::size</a></div><div class="ttdeci">CGSize size</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00058">XHXTabItem.h:58</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af84f8f8b976263383b219556346f1c05"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af84f8f8b976263383b219556346f1c05">XHXTabItem::title</a></div><div class="ttdeci">NSString * title</div><div class="ttdoc">文字</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00026">XHXTabItem.h:26</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00018">XHXTabItem.h:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab613244a886c525301c2aa9f2ae16c77"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab613244a886c525301c2aa9f2ae16c77">XHXTabItem::badgeBackgroundColor</a></div><div class="ttdeci">UIColor * badgeBackgroundColor</div><div class="ttdoc">badge背景颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00052">XHXTabItem.h:52</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_af68569a7e64f43a1dd836709ac5f8000"><div class="ttname"><a href="interface_x_h_x_tab_item.html#af68569a7e64f43a1dd836709ac5f8000">XHXTabItem::indicatorInsets</a></div><div class="ttdeci">UIEdgeInsets indicatorInsets</div><div class="ttdoc">设置指示器的边距嵌入</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00060">XHXTabItem.h:60</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ad75b02b5f65abc7a35d53c00ae2c4611"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ad75b02b5f65abc7a35d53c00ae2c4611">XHXTabItem::image</a></div><div class="ttdeci">UIImage * image</div><div class="ttdoc">图片</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00038">XHXTabItem.h:38</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab73649854948706a960367dcc44b495c"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab73649854948706a960367dcc44b495c">XHXTabItem::badgeTitleColor</a></div><div class="ttdeci">UIColor * badgeTitleColor</div><div class="ttdoc">badge文字颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00054">XHXTabItem.h:54</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_a08253c9a12a99efaea62c0a780c0b2d4"><div class="ttname"><a href="interface_x_h_x_tab_item.html#a08253c9a12a99efaea62c0a780c0b2d4">XHXTabItem::showRedDotView</a></div><div class="ttdeci">BOOL showRedDotView</div><div class="ttdoc">是否显示右上角的小红点</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00021">XHXTabItem.h:21</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html_ab5451a1bf1cff57b201d120ab47d8014"><div class="ttname"><a href="interface_x_h_x_tab_item.html#ab5451a1bf1cff57b201d120ab47d8014">XHXTabItem::contentHorizontalCenter</a></div><div class="ttdeci">BOOL contentHorizontalCenter</div><div class="ttdoc">设置 Image与title 水平居中</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00070">XHXTabItem.h:70</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
制作者&nbsp;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>


</body></html>